package net.za.darkskies.security.sasl;

import java.security.AccessController;
import java.security.PrivilegedAction;

public final class PlainProvider extends java.security.Provider
{

	public PlainProvider()
	{
		super("PlainSASL", 1.0, "Darksies Plain SASL provider");
		AccessController.doPrivileged((PrivilegedAction<Object>)new PrivilegedAction<Object>()
		{
			public Object run()
			{
				// Add a standard Mechanism that Sun seem to have forgotten about
				put("SaslServerFactory.PLAIN", "net.za.darkskies.security.sasl.PlainFactoryImpl");
				return null;
			}
		});
	}
}