package net.za.darkskies.security.sasl;

import java.security.AccessController;
import java.security.PrivilegedAction;

public final class ExternalProvider extends java.security.Provider
{

	public ExternalProvider()
	{
		super("ExternalSASL", 1.0, "Darksies External SASL provider");
		AccessController.doPrivileged((PrivilegedAction<Object>)new PrivilegedAction<Object>()
		{
			public Object run()
			{
				// Add a standard Mechanism that Sun seem to have forgotten about
				put("SaslServerFactory.EXTERNAL", "net.za.darkskies.security.sasl.ExternalFactoryImpl");
				return null;
			}
		});
	}
}